--- old/usr/src/cmd/mandoc/msec.in	Fri Jul 25 15:08:46 2014
+++ new/usr/src/cmd/mandoc/msec.in	Fri Jul 25 15:08:46 2014
@@ -1,40 +1,109 @@
-/*	$Id: msec.in,v 1.6 2010/06/19 20:46:28 kristaps Exp $ */
 /*
- * Copyright (c) 2009 Kristaps Dzonsons <kristaps@bsd.lv>
+ * This file and its contents are supplied under the terms of the
+ * Common Development and Distribution License ("CDDL"), version 1.0.
+ * You may only use this file in accordance with the terms of version
+ * 1.0 of the CDDL.
  *
- * Permission to use, copy, modify, and distribute this software for any
- * purpose with or without fee is hereby granted, provided that the above
- * copyright notice and this permission notice appear in all copies.
- *
- * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
- * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
- * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
- * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
- * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
- * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
- * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ * A full copy of the text of the CDDL should have accompanied this
+ * source.  A copy of the CDDL is also available via the Internet at
+ * http://www.illumos.org/license/CDDL.
  */
 
 /*
- * These are all possible manual-section macros and what they correspond
- * to when rendered as the volume title.
- *
- * Be sure to escape strings.
+ * Copyright 2012 Nexenta Systems, Inc. All rights reserved.
  */
 
-LINE("1",		"General Commands Manual")
-LINE("2",		"System Calls Manual")
-LINE("3",		"Library Functions Manual")
-LINE("3p",		"Perl Library Functions Manual")
-LINE("4",		"Kernel Interfaces Manual")
-LINE("5",		"File Formats Manual")
-LINE("6",		"Games Manual")
-LINE("7",		"Miscellaneous Information Manual")
-LINE("8",		"System Manager\'s Manual")
-LINE("9",		"Kernel Developer\'s Manual")
-LINE("X11",		"X11 Developer\'s Manual")
-LINE("X11R6",		"X11 Developer\'s Manual")
-LINE("unass",		"Unassociated")
-LINE("local",		"Local")
-LINE("draft",		"Draft")
-LINE("paper",		"Paper")
+LINE("1",		"User Commands")
+LINE("1B",		"BSD Compatibility Package Commands")
+LINE("1C",		"Communication Commands")
+LINE("1HAS",		"User Commands")
+LINE("1M",		"Maintenance Commands")
+LINE("1S",		"illumos Specific Commands")
+LINE("2",		"System Calls")
+LINE("3",		"Introduction to Library Functions")
+LINE("3BSDMALLOC",	"BSD Memory Allocation Library")
+LINE("3BSM",		"Security and Auditing Library Functions")
+LINE("3C",		"Standard C Library Functions")
+LINE("3C++",		"C++ Library Functions")
+LINE("3C_DB",		"Threads Debugging Library Functions")
+LINE("3CFGADM",		"Configuration Administration Library Functions")
+LINE("3COMMPUTIL",	"Communication Protocol Parser Utilities Library Functions")
+LINE("3CONTRACT",	"Contract Management Library Functions")
+LINE("3CPC",		"CPU Performance Counters Library Functions")
+LINE("3CURSES",		"Curses Library Functions")
+LINE("3DAT",		"Direct Access Transport Library Functions")
+LINE("3DEVID",		"Device ID Library Functions")
+LINE("3DEVINFO",	"Device Information Library Functions")
+LINE("3DLPI",		"Data Link Provider Interface Library Functions")
+LINE("3DNS_SD",		"DNS Service Discovery Library Functions")
+LINE("3DOOR",		"Door Library Functions")
+LINE("3ELF",		"ELF Library Functions")
+LINE("3EXACCT",		"Extended Accounting File Access Library Functions")
+LINE("3EXT",		"Extended Library Functions")
+LINE("3FCOE",		"FCoE Port Management Library Functions")
+LINE("3FSTYP",		"File System Type Identification Library Functions")
+LINE("3GEN",		"String Pattern-Matching Library Functions")
+LINE("3GSS",		"Generic Security Services API Library Functions")
+LINE("3HEAD",		"Headers")
+LINE("3ISCSIT",		"iSCSI Management Library Functions")
+LINE("3KRB",		"Kerberos Library Functions")
+LINE("3KRB5",		"MIT Kerberos 5 Library Functions")
+LINE("3KSTAT",		"Kernel Statistics Library Functions")
+LINE("3KVM",		"Kernel VM Library Functions")
+LINE("3LDAP",		"LDAP Library Functions")
+LINE("3LGRP",		"Locality Group Library Functions")
+LINE("3LIB",		"Interface Libraries")
+LINE("3M",		"Mathematical Library Functions")
+LINE("3MAIL",		"User Mailbox Library Functions")
+LINE("3MALLOC",		"Memory Allocation Library Functions")
+LINE("3MP",		"Multiple Precision Library Functions")
+LINE("3MPAPI",		"Common Multipath Management Library Functions")
+LINE("3NSL",		"Networking Services Library Functions")
+LINE("3NVPAIR",		"Name-value Pair Library Functions")
+LINE("3PAM",		"PAM Library Functions")
+LINE("3PAPI",		"PAPI Library Functions")
+LINE("3PERL",		"Perl Library Functions")
+LINE("3PICL",		"PICL Library Functions")
+LINE("3PICLTREE",	"PICL Plug-In Library Functions")
+LINE("3POOL",		"Pool Configuration Manipulation Library Functions")
+LINE("3PROC",		"Process Control Library Functions")
+LINE("3PROJECT",	"Project Database Access Library Functions")
+LINE("3RAC",		"Remote Asynchronous Calls Library Functions")
+LINE("3RESOLV",		"Resolver Library Functions")
+LINE("3RPC",		"RPC Library Functions")
+LINE("3RSM",		"Remote Shared Memory Library Functions")
+LINE("3RT",		"Realtime Library Functions")
+LINE("3SASL",		"Simple Authentication Security Layer Library Functions")
+LINE("3SCF",		"Service Configuration Facility Library Functions")
+LINE("3SEC",		"File Access Control Library Functions")
+LINE("3SECDB",		"Security Attributes Database Library Functions")
+LINE("3SIP",		"Session Initiation Protocol Library Functions")
+LINE("3SLP",		"Service Location Protocol Library Functions")
+LINE("3SOCKET",		"Sockets Library Functions")
+LINE("3STMF",		"SCSI Target Mode Framework Library Functions")
+LINE("3SYSEVENT",	"System Event Library Functions")
+LINE("3TECLA",		"Interactive Command-line Input Library Functions")
+LINE("3TNF",		"TNF Library Functions")
+LINE("3TSOL",		"Trusted Extensions Library Functions")
+LINE("3UUID",		"Universally Unique Identifier Library Functions")
+LINE("3VOLMGT",		"Volume Management Library Functions")
+LINE("3XCURSES",	"X/Open Curses Library Functions")
+LINE("3XNET",		"X/Open Networking Services Library Functions")
+LINE("3F",		"Fortran Library Routines")
+LINE("3X",		"Miscellaneous Library Functions")
+LINE("4",		"File Formats")
+LINE("5",		"Standards, Environments, and Macros")
+LINE("6",		"Games and Demos")
+LINE("7",		"Device and Network Interfaces")
+LINE("7D",		"Devices")
+LINE("7FS",		"File Systems")
+LINE("7I",		"Ioctl Requests")
+LINE("7IPP",		"IP Quality of Service Modules")
+LINE("7M",		"STREAMS Modules")
+LINE("7P",		"Protocols")
+LINE("8",		"Maintenance Procedures")
+LINE("9",		"Device Driver Interfaces")
+LINE("9E",		"Driver Entry Points")
+LINE("9F",		"Kernel Functions for Drivers")
+LINE("9P",		"Kernel Properties for Drivers")
+LINE("9S",		"Data Structures for Drivers")
